Package org.kapott.hbci.rewrite

# Class RInvalidSuppHBCIVersion

java.lang.Object
org.kapott.hbci.rewrite.Rewrite
org.kapott.hbci.rewrite.RInvalidSuppHBCIVersion

public class RInvalidSuppHBCIVersion extends Rewrite
Korrigiert falsche HBCI-Versionen in den BPD.

## Constructor Summary

Constructors
Constructor
Description
`RInvalidSuppHBCIVersion()`

## Method Summary

Modifier and Type
Method
Description
`String`
`incomingClearText(String st, MsgGen gen)`

### Methods inherited from class org.kapott.hbci.rewrite.Rewrite

`getData, incomingCrypted, incomingData, outgoingClearText, outgoingCrypted, outgoingSigned, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RInvalidSuppHBCIVersion

public RInvalidSuppHBCIVersion()

## Method Details

### incomingClearText

public String incomingClearText(String st, MsgGen gen)

Overrides:
  `incomingClearText` in class `Rewrite`
See Also:
  - `Rewrite.incomingClearText(java.lang.String, org.kapott.hbci.manager.MsgGen)`